Skip to main content

@dialstack/sdk-dev / js/src / CallListParams

Interface: CallListParams

Defined in: sdk/js/src/types/components.ts:148

Query parameters for calls.list. Mirrors GET /v1/calls.

Properties​

did?​

TypeScript
optional did?: string;

Defined in: sdk/js/src/types/components.ts:158

The phone number (DID) associated with the call, by its id


direction?​

TypeScript
optional direction?: "inbound" | "outbound" | "internal";

Defined in: sdk/js/src/types/components.ts:159


expand?​

TypeScript
optional expand?: "did"[];

Defined in: sdk/js/src/types/components.ts:171


from_date?​

TypeScript
optional from_date?: string;

Defined in: sdk/js/src/types/components.ts:168

ISO 8601; calls started on or after


from_number?​

TypeScript
optional from_number?: string;

Defined in: sdk/js/src/types/components.ts:162

Exact match on the caller's number


limit?​

TypeScript
optional limit?: number;

Defined in: sdk/js/src/types/components.ts:149


page?​

TypeScript
optional page?: string;

Defined in: sdk/js/src/types/components.ts:155

Opaque cursor for another page, taken from the page parameter of a response's next_page_url or previous_page_url. The endpoint pages only by this token.


TypeScript
optional search?: string;

Defined in: sdk/js/src/types/components.ts:166

Free-text match on either party's name or number


status?​

TypeScript
optional status?: "failed" | "voicemail" | "completed" | "no-answer" | "busy";

Defined in: sdk/js/src/types/components.ts:160


to_date?​

TypeScript
optional to_date?: string;

Defined in: sdk/js/src/types/components.ts:170

ISO 8601; calls started on or before


to_number?​

TypeScript
optional to_number?: string;

Defined in: sdk/js/src/types/components.ts:164

Exact match on the dialed number or the routed destination


user_id?​

TypeScript
optional user_id?: string;

Defined in: sdk/js/src/types/components.ts:156